ModelSell 文档
图片系列Midjourney

Midjourney 批量查询任务

POST
/mj/task/list-by-condition

按 Midjourney 任务 ID 列表批量查询任务详情。适合在客户端保存多个任务 ID 后一次性刷新任务状态。

Authorization

bearerAuth
AuthorizationBearer <token>

使用 Authorization Bearer API Key 进行鉴权。

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/mj/task/list-by-condition" \  -H "Content-Type: application/json" \  -d '{    "ids": [      "1751700106922083"    ]  }'
[
  {
    "id": "1751700106922083",
    "action": "IMAGINE",
    "customId": "string",
    "botType": "MID_JOURNEY",
    "prompt": "string",
    "promptEn": "string",
    "description": "string",
    "state": "string",
    "submitTime": 0,
    "startTime": 0,
    "finishTime": 0,
    "imageUrl": "http://example.com",
    "videoUrl": "http://example.com",
    "videoUrls": [
      {
        "url": "http://example.com"
      }
    ],
    "status": "SUCCESS",
    "progress": "100%",
    "failReason": "string",
    "buttons": [
      {}
    ],
    "maskBase64": "string",
    "properties": {}
  }
]
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}